<template>
     <div class="layout">
      <!-- Header -->
      <el-header >
        <img src="~assets/logo1.png" alt="Logo" class="logo" >
        <label class="titlelogo" style="font-size:30px">OVERTIME MANAGEMENT</label>
      </el-header>

      <el-container >
        <!--Menu left -->
        <el-aside width="150px">
          <section class="menu-left">
            <aside>
              <p>
                Overtime
              </p>
              <ul class="menu-list">
                <li
                  v-for="(item, key) of items"
                  :key="key"
                  >
                  <nuxt-link
                    :to="item.to"
                    exact-active-class="is-active"
                    >
                      <i :class="item.icon"></i>
                        {{ item.title }}
                  </nuxt-link>
                </li>
              </ul>
            </aside>
          </section>
        </el-aside>
        <el-main>

          <!-- Main -->
          <nuxt />

        </el-main>
      </el-container>
    <!-- Footer -->
      <el-footer
      >
        <div class="footer">
          <p class="copyright">
          Copyright © 2018 Digi Dinos. All rights reserved.
          </p>
          <a id="abs" class="back-to-top" data-scroll="" href="http://digidinos.com/recruit#home"><i class="fa fa-chevron-up"></i></a>
        </div>
      </el-footer>
    </div>
</template>

<script>

export default {
  data(){
    return{
      items: [
        {
          title: 'List',
          icon: 'el-icon-menu',
          to:  { name: 'overtime' }
        },
        {
          title: 'New',
          icon: 'el-icon-folder-add',
          to: { name:'overtime-new'} 
        },
        {
          title: 'Search',
          icon: 'el-icon-search',
          to: { name: 'overtime-search' }
        }
      ]
    }
  }
}
</script>

<style>

html {
  font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI',
    Roboto, 'Helvetica Neue', Arial, sans-serif;
  font-size: 12px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
}
.container {
  margin: 0 auto;
  display: flex;
}

.button--green {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #3b8070;
  color: #3b8070;
  text-decoration: none;
  padding: 10px 30px;
}

.button--green:hover {
  color: #fff;
  background-color: #3b8070;
}
.el-table .cell, .el-table th div, .el-table--border td:first-child .cell, .el-table--border th:first-child .cell {
  padding-right: 2px;
  padding-left: 2px;
}
.el-table .cell, .el-table th div {
  padding-right: 2px;
}
.button--grey {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #35495e;
  color: #35495e;
  text-decoration: none;
  padding: 10px 30px;
  margin-left: 15px;
}

/* logo */
.logo{
  height:40px;
  padding-top:6px; ;
}
.titlelogo{
  position: absolute;
  padding-top:6px;
  margin-left: 10px;
  color: black;
  font-family: 'Courier New', Courier, monospace
}
/* layout */
.layout{
  height: 100vh;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}
/* menu left css */
.menu-list{
  padding-left: 0px;
}
.is-active{
  background:rgb(96, 153, 238);
  display:block;
}
.menu-list li{
  list-style-type: none;
  list-style: none;
  text-align: left; 
}
.menu-list li a{
   padding: 5px 10px;
  text-decoration: none;
  display: block;
  color:white;
  font-size: 14px
}
.menu-list li:hover{
  background: #7da3e4;
}
.menu-list li a:hover{
   background: #7da3e4;
} 
.menu-left aside p{
  text-align: left;
  color:white;
  opacity: 0.8;
  font-size: 14px;
  padding-top:5px;
  padding-left: 5px;
  background: #518ffa;
}
.menu-list li a i{
  padding-right: 5px;
}
.menu-left{
  background: #3873d9;
  height: 100%;
}
/* end menu left */

/* footer */
.footer .copyright{
  text-align: center;
  
}
.copyright{
  padding: 20px 0;
}
.el-footer{
    text-align: center;
    background: rgb(12, 29, 63);
    color:white;
  }
  /* footer */
.button--grey:hover {
  color: rgb(241, 241, 241);
  background-color: #35495e;
}
.el-header {
  background-color:#fff ;
  padding-left:0px;
  opacity: 0.8;
  border-bottom:1px solid rgb(170, 170, 170);
}
  
.el-table td, .el-table th.is-leaf{
  text-align: center;
}
.el-table{
  min-width: 1200px;
}
.el-aside {
  background-color: #D3DCE6;
  color: #333;
  text-align: center;
}
  
.el-main {
  color: #333;
  padding:5px;
  flex-grow: 1;
}
  
body > .el-container {
  margin-bottom: 40px;
}
  
.el-container:nth-child(5) .el-aside,
.el-container:nth-child(6) .el-aside {
  line-height: 260px;
}
  
.el-container:nth-child(7) .el-aside {
  line-height: 320px;
}
.title-components{
  font-size: 30px;
  margin-bottom: 15px;
}
.el-col, .el-col-3{
  padding-left: 0px;
  padding-right: 0px ;
}
</style>
